# Contributing to XML-to-React

:+1::tada: First off, thanks for taking the time to contribute! :tada::+1:

The following is a set of guidelines for contributing to XML-to-React which is hosted in the [Condé Nast Organization](https://github.com/CondeNast) on GitHub. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

## Code of Conduct

This project and everyone participating in it is governed by a [Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [opensource@condenast.com](mailto:opensource@condenast.com).

## How to contribute to XML-to-React

#### Did you find a bug, want to add a feature, or have questions about the code?

Open a [new issue](https://github.com/CondeNast/xml-to-react/issues/new). Follow the provided template as a guideline.

#### Did you write a patch that fixes a bug?

Open a new pull request. Follow the provided template as a guideline.

## Development Setup

#### What are the local environment requirements for development?

You must use Node.js version 8.9.x and npm version 5.x for development.

#### How do I install it for local development?

In order to make changes to the code, run the run the following commands in your terminal:
```sh
$ git clone https://github.com/CondeNast/xml-to-react.git
$ cd xml-to-react
$ npm i
```

#### How do I run tests?

In order to run the linter and unit test suite, run the following command in terminal:
```sh
$ npm test
```

#### How do I create new tests?

Ensure that the filename of a test file ends with `.test.js`, and place your test files in the `test/` directory.

## Attribution
These Contributing Guidelines are adapted from the [Atom](https://github.com/atom/atom) Contributing Guidelines,
available at https://github.com/atom/atom/blob/master/CONTRIBUTING.md and the [Rails](https://github.com/rails/rails/blob/master/CONTRIBUTING.md) Contributing Guidelines available at https://github.com/rails/rails/blob/master/CONTRIBUTING.md.
